
QGIS Application - Bug report #13248

pixel values beyond valid range in QGIS

2015-08-20 07:00 PM - Ali Yagci

Status: Closed

Priority: High

Assignee:

Category: Rasters

Affected QGIS version:2.8.1 Regression?: No

Operating System: Ubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution: wontfix

Crashes QGIS or corrupts data:No Copied to github as #: 21309

Description

please see here, http://gis.stackexchange.com/questions/158949/pixel-values-beyond-valid-range-in-qgis/159013#159013

You can download the file and recreate the issue yourself.

History

#1 - 2015-08-20 10:50 PM - Andre Joost

The problem is whether the scale factor has to be multiplied (as written in the HDF5 doc and done by QGIS) or divided (as assumed by the files producer).

#2 - 2015-08-21 03:11 AM - Andre Joost

Maybe related to the patch in #8417

Strangely, a scale_factor value in the metadata is not used, if the file has been converted from netcdf to geotiff (and not by gdalwarp during the

reprojection).

#3 - 2015-08-21 08:23 AM - Ali Yagci

QGIS should not worry about the scale factor. It is not QGIS job. Users can do this operation on their own. For example, ArcMap is not involved in scale

factor correction.

#4 - 2016-07-03 11:13 PM - Jürgen Fischer

- Category changed from Browser to Rasters

#5 - 2016-07-04 02:31 AM - Nyall Dawson

- Resolution set to wontfix

- Status changed from Open to Closed

This is a "won't fix" from me. The source data has a scale factor set, so we respect that.
